/**
 * @name isArray
 * @desc Predicate function to determine whether an object is an array.
 * @param obj
 * @returns {boolean}
 */
export function isArray(obj){
    /* Polyfill (https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/isArray?v=example) */
    if(!Array.isArray){
        Array.isArray = function(arg) {
            return Object.prototype.toString.call(arg) === '[object Array]';
        };
    }
    return Array.isArray(obj);
}